[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IFPObserver.FPOObservedChanged

Entry point for change notifications

## Declaration

Source position: classesh.inc line 180

`procedure IFPObserver.FPOObservedChanged(`
`ASender: TObject;`
`Operation: TFPObservedOperation;`
`Data: Pointer`
`);`

## Description

FPOObservedChanged is the method that is called by an observed object (IFPObserved) when it calls FPONotifyObservers The Sender is the object under observation, the Operation and Data are the parameters used in the call to FPONotifyObservers.

## See also

IFPObserved |  | Interface implemented by an object that can be observed.
FPONotifyObservers |  | Notify all observers

Documentation generated on: Feb 26 2014